Get Scored Attribution Dump Urls
curl --request GET \
--url https://api.topsort.com/public/v1/reporting-service/file-reports/scored-attribution \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/reporting-service/file-reports/scored-attribution"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/reporting-service/file-reports/scored-attribution', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"files": [
{
"date": "2023-12-25",
"fileUrl": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Reporting API
Get Scored Attribution Dump Urls
Get scored attribution files for an specific date.
This endpoint returns a list of Amazon S3 pre-signed urls containing detailed attribution data in a parquet file format. The files are available after 3am UTC and contains the attribution data for the previous day.
GET
/
public
/
v1
/
reporting-service
/
file-reports
/
scored-attribution
Get Scored Attribution Dump Urls
Authorizations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Query Parameters
Report date (UTC) in YYYY-MM-DD format.
Response
Successful Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I